Package org.eclipse.emf.compare.rcp.ui.internal

## Class EMFCompareRCPUIMessages

- java.lang.Object
- - org.eclipse.emf.compare.rcp.ui.internal.EMFCompareRCPUIMessages

    public final class EMFCompareRCPUIMessages
    extends Object

Utility class to access externalized Strings for EMF Compare's rcp ui integration.

### Method Summary

All Methods Static Methods Concrete Methods
`static String` `getString​(String key)` Returns the specified `String` from the resource bundle.
`static String` `getString​(String key, Object... arguments)` Returns a String from the resource bundle bound with the given arguments.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### getString

    public static String getString​(String key)

Returns the specified `String` from the resource bundle.

Parameters:
  `key` - Key of the String we seek.
Returns:
  The String from the resource bundle associated with `key`. `'!' + key + '!'` will be returned in case we didn't find it in the bundle.

#### getString

    public static String getString​(String key,
                                   Object... arguments)

Returns a String from the resource bundle bound with the given arguments.

Parameters:
  `key` - Key of the String we seek.
  `arguments` - Arguments for the String formatting.
Returns:
  formatted `String`.
See Also:
  `MessageFormat.format(String, Object[])`